"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.LoggerProvider = void 0;
var _pino = _interopRequireDefault(require("pino"));
var _tsyringe = require("tsyringe");
var _injectorsJs = require("../injectors.js");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var _class;
var _dec = (0, _tsyringe).singleton();
let LoggerProvider = _class = _dec((_class = class LoggerProvider {
    get() {
        return this._logger;
    }
    constructor(_config){
        this._config = _config;
        this._logger = (0, _pino).default({
            serializers: {
                err: _pino.default.stdSerializers.err,
                error: _pino.default.stdSerializers.err
            },
            prettyPrint: this._config.loggingPretty ? {
                levelFirst: true
            } : undefined
        });
    }
}) || _class) || _class;
exports.LoggerProvider = LoggerProvider;
