"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getSchema = getSchema;
var _fs = _interopRequireDefault(require("fs"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function getSchema(resolvedPath) {
    const result = _fs.default.readFileSync(resolvedPath, {
        encoding: 'utf-8'
    });
    if (result.length === 0) {
        throw new Error('empty schema detected');
    }
    return result;
}
